.header {
    top: 0;
    left: 0;
    right: 0;
    z-index: 900;
    background: white;
    position: fixed;
    box-shadow: 0px 4px 10px 0px rgba(0, 0, 0, 0.15);

    &__main {
        height: rem(73);
        padding-right: rem(46);
        position: relative;
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    &__hamburger {
        right: 0;
        top: calc(50% - 16px);
        width: 32px;
        height: 32px;
        font-size: 0;
        line-height: 0;
        padding: 0;
        outline: none;
        display: block;
        flex-shrink: 0;
        cursor: pointer;
        position: absolute;
        border-radius: 50%;
        background: white;
        border: 1px solid var(--blue);

        span,
        &:after,
        &:before {
            left: calc(50% - 8px);
            z-index: 1;
            content: '';
            width: 16px;
            height: 2px;
            background: var(--blue);
            position: absolute;
        }

        span {
            top: calc(50% - 1px);
        }

        &:after {
            top: calc(50% - 5px);
        }

        &:before {
            top: calc(50% + 3px);
        }
    }

    &__social {
        display: flex;
        align-items: center;
        column-gap: rem(10);
    }

    &__contacts {
        display: none;
    }

    &__content {
        display: none;
    }

    &__phone {
        color: var(--dark);
        font-weight: 700;
        font-size: rem(18);
        line-height: rem(22);
        text-decoration: underline;

        &:hover {
            color: var(--dark);
            text-decoration: underline;
        }
    }

    &__address {
        color: var(--dark);
        font-size: rem(14);
        line-height: rem(17);
        margin-top: rem(2);
    }

    @include media-breakpoint-up(lg) {
        box-shadow: none;

        &__main {
            padding-right: 0;
        }

        &__contacts {
            display: flex;
            align-items: center;
            column-gap: rem(22);
        }

        &__hamburger {
            display: none;
        }
    }

    @include media-breakpoint-up(xl) {

        &__content {
            display: block;
            white-space: nowrap;
        }
    }
}

.header-logo {
    color: var(--dark);
    font-weight: 300;
    font-size: rem(13);
    line-height: rem(15);
    text-decoration: none;
    display: block;
    flex-shrink: 0;

    &__image {
        width: rem(160);
        display: block;
    }

    &__text {
        display: none;
    }

    &:hover {
        color: var(--black);
        text-decoration: none;
    }

    @include media-breakpoint-up(sm) {
        display: flex;
        align-items: center;

        &__text {
            display: block;
            margin-left: rem(14);
        }
    }

    @include media-breakpoint-up(md) {

        &__image {
            width: rem(206);
        }
    }
}

.btn-callback {
    height: rem(40);
    cursor: pointer;
    color: var(--blue);
    padding: rem(4) rem(24);
    font-weight: 700;
    font-size: rem(16);
    line-height: rem(24);
    border-radius: 20px;
    display: flex;
    align-items: center;
    text-decoration: none;
    background: transparent;
    text-transform: uppercase;
    border: 1px solid var(--blue);
    transition: .25s;

    &:hover {
        color: white;
        transition: .25s;
        text-decoration: none;
        background: var(--blue);
    }

    &:active {
        color: var(--blue);
        background: transparent;
    }
}

.nav-open {

    .header__nav {
        transition: .3s;
        transform: translateX(0);
    }

    .header__layout {
        opacity: 1;
        visibility: visible;
    }

    .header__hamburger {

        span {
            opacity: 0;
            width: 100%;
        }

        &:after {
            transform: translateY(4px) translateX(0) rotate(45deg);
        }

        &:before {
            transform: translateY(-4px) translateX(0) rotate(-45deg);
        }
    }
}
